curl --request GET \
--url https://api.syntage.com/shareholders/{shareholderId}/relations/{relationId}/sources/{sourceId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/shareholders/{shareholderId}/relations/{relationId}/sources/{sourceId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/shareholders/{shareholderId}/relations/{relationId}/sources/{sourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "73de0123-4567-8901-bcde-f23456789012",
"relation": {
"id": "82cd9012-3456-7890-abcd-ef1234567890",
"link": "/entities/91ab5678-1234-5678-9abc-def012345678",
"shareholder": {
"id": "91ab5678-1234-5678-9abc-def012345678",
"name": "JUAN MANUEL PEREZ GONZALEZ",
"type": "physical",
"rfc": "PEIC211118IS0",
"relations": "<array>",
"entity": "/entities/91ab5678-1234-5678-9abc-def012345678",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z",
"@id": "/shareholders/91ab5678-1234-5678-9abc-def012345678",
"@type": "Shareholder"
},
"relationType": "shareholders",
"sources": "<array>",
"shares": 1500.5,
"totalShares": 10000,
"ownership": 0.15,
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z",
"@id": "/shareholders/91ab5678-1234-5678-9abc-def012345678/relations/82cd9012-3456-7890-abcd-ef1234567890",
"@type": "ShareholderRelation"
},
"shareholder": {
"id": "91ab5678-1234-5678-9abc-def012345678",
"name": "JUAN MANUEL PEREZ GONZALEZ",
"type": "physical",
"rfc": "PEIC211118IS0",
"relations": "<array>",
"entity": "/entities/91ab5678-1234-5678-9abc-def012345678",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z",
"@id": "/shareholders/91ab5678-1234-5678-9abc-def012345678",
"@type": "Shareholder"
},
"sourceName": "manual",
"sourceId": "64ef1234-5678-9012-cdef-345678901234",
"shares": 1500.5,
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z",
"@id": "/shareholders/91ab5678-1234-5678-9abc-def012345678/relations/82cd9012-3456-7890-abcd-ef1234567890/sources/73de0123-4567-8901-bcde-f23456789012",
"@type": "ShareholderRelationsSource"
}{
"message": "<string>"
}{
"message": "<string>"
}Retrieve a shareholder relation source
Retrieves one source for a shareholder relation.
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
The shareholder ID
The relation ID
The source ID
Response
Shareholder Relation Source
Unique shareholder relation source ID
"73de0123-4567-8901-bcde-f23456789012"
Shareholder relation supported by this source
Show child attributes
Show child attributes
Shareholder described by this source
Show child attributes
Show child attributes
Source that provided the shareholder information
manual, rpc_socio, company_verification "manual"
ID of the source record that provided this information
"64ef1234-5678-9012-cdef-345678901234"
Number of shares reported by this source
1500.5
Date and time the resource was created
"2020-01-01T12:15:00.000Z"
Date and time the resource was last updated
"2020-01-01T12:15:00.000Z"
ShareholderRelationsSource IRI reference
"/shareholders/91ab5678-1234-5678-9abc-def012345678/relations/82cd9012-3456-7890-abcd-ef1234567890/sources/73de0123-4567-8901-bcde-f23456789012"
Was this page helpful?